GridFire 0.6.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Member Functions | List of all members
SolverPluginInterface Class Referenceabstract

`#include <solver_interfaces.h>`

Inheritance diagram for SolverPluginInterface:

## Public Member Functions
| ~SolverPluginInterface () override=default
virtual void | log_time (double t, double dt)=0

## Constructor & Destructor Documentation

## ◆ ~SolverPluginInterface()

SolverPluginInterface::~SolverPluginInterface | ( |  | ) |
| override default

## Member Function Documentation

## ◆ log_time()

virtual void SolverPluginInterface::log_time | ( | double | t,
|  | double | dt )
| pure virtual

The documentation for this class was generated from the following file:

- src/include/gridfire/interfaces/solver/solver_interfaces.h